package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.tcZz.domain.TcXtjc;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcJgdwMapper;
import com.ruoyi.tcZz.domain.TcJgdw;
import com.ruoyi.tcZz.service.ITcJgdwService;

/**
 * 监管单位Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
@Service
public class TcJgdwServiceImpl implements ITcJgdwService 
{
    @Autowired
    private TcJgdwMapper tcJgdwMapper;

    /**
     * 查询监管单位
     * 
     * @param id 监管单位主键
     * @return 监管单位
     */
    @Override
    public TcJgdw selectTcJgdwById(Long id)
    {
        return tcJgdwMapper.selectTcJgdwById(id);
    }

    /**
     * 查询监管单位列表
     * 
     * @param tcJgdw 监管单位
     * @return 监管单位
     */
    @Override
    public List<TcJgdw> selectTcJgdwList(TcJgdw tcJgdw)
    {
        return tcJgdwMapper.selectTcJgdwList(tcJgdw);
    }

    /**
     * 新增监管单位
     * 
     * @param tcJgdw 监管单位
     * @return 结果
     */
    @Override
    public int insertTcJgdw(TcJgdw tcJgdw)
    {
        tcJgdw.setCreateTime(DateUtils.getNowDate());
        return tcJgdwMapper.insertTcJgdw(tcJgdw);
    }

    /**
     * 修改监管单位
     * 
     * @param tcJgdw 监管单位
     * @return 结果
     */
    @Override
    public int updateTcJgdw(TcJgdw tcJgdw)
    {
        tcJgdw.setUpdateTime(DateUtils.getNowDate());
        return tcJgdwMapper.updateTcJgdw(tcJgdw);
    }

    /**
     * 批量删除监管单位
     * 
     * @param ids 需要删除的监管单位主键
     * @return 结果
     */
    @Override
    public int deleteTcJgdwByIds(Long[] ids)
    {
        return tcJgdwMapper.deleteTcJgdwByIds(ids);
    }

    /**
     * 删除监管单位信息
     * 
     * @param id 监管单位主键
     * @return 结果
     */
    @Override
    public int deleteTcJgdwById(Long id)
    {
        return tcJgdwMapper.deleteTcJgdwById(id);
    }

    @Override
    public String importUser(List<TcJgdw> tcJgdwList) {
        StringBuilder successMsg = new StringBuilder();
        if (!tcJgdwList.isEmpty()) {
            for (TcJgdw tcJgdw : tcJgdwList) {
                tcJgdwMapper.insertTcJgdw(tcJgdw);
            }
            successMsg.append("导入成功");
        }

        return successMsg.toString();
    }

    @Override
    public void updateByisStatus(Integer isStatus,List<String> ids) {
        tcJgdwMapper.updateByisStatus(isStatus,ids);
    }
}
